Bug 808514 - missing bootloader dialog during text-mode kickstart
missing bootloader dialog during text-mode kickstart
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 10:59 EDT by Gabriel Somlo
Modified: 2012-04-02 09:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-01 23:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2012-03-30 10:59:58 EDT
Description of problem:
When the 'bootloader' command is ommitted in a kickstart file, anaconda asks for boot loader configuration details only in graphical mode. When 'text' is requested in the kickstart file, anaconda automatically proceeds with the defaults, without giving the user the chance to make changes (such as setting a bootloader password).

Version-Release number of selected component (if applicable):
16.25-1

How reproducible:
Install via kickstart, using 'text' and without supplying a 'bootloader' command.

  
Actual results:
anaconda installs without a dialog, automatically picking the default boot loader options

Expected results:
Anaconda should provide a dialog, such as:
   [x] Install boot loader on /dev/sda  [Change device]
   [ ] Use a boot loader password
(similar to what it does in graphical mode).

Additional info:

RFE: Additionally (or instead), add a --userootpw option to the 'bootloader' command, which would set the boot loader password to the same value as the root password, regardless of which way the latter was obtained (rootpw command or interactive dialog, graphical or text).
Comment 1 Chris Lumens 2012-04-01 23:23:37 EDT
The text mode interface has been simplified for reasons which are explained at http://fedoraproject.org/wiki/Features/NewTextUI, and we won't be adding these options back in (at least, not any time soon).
Comment 2 Gabriel Somlo 2012-04-02 09:09:47 EDT
OK, thanks for the link, that makes sense.

How about the other question -- would it make sense to tell anaconda to optionally reuse the root password for the bootloader (a --userootpw option for the bootloader command) ?

Note You need to log in before you can comment on or make changes to this bug.